function skill082()

p = flag.GetBattleValue(33032)

if battle.CheckPlayerStat(4,10)==1 then

player.RemoveStat(0,4,10)
player.AddStat(0,4,100,45,5)
player.AddStat(0,4,100,20,5)
player.AddStat(1,0,100,11,2)
player.AddStat(1,0,100,13,2)
player.RemoveStat(0,4,11)
player.RemoveStat(0,4,13)
player.AddStat(0,4,100,11,5)
player.AddStat(0,4,100,13,5)
player.StopSE(4,162)

if p==2 then
    player.ChangeDP(0,4,5)
    player.CreateSE(4,3911)
end

end

end